<?php

namespace ContainerFRqH3nt;
include_once \dirname(__DIR__, 4).'/vendor/scheb/2fa-trusted-device/Security/TwoFactor/Trusted/TrustedCookieResponseListener.php';

class TrustedCookieResponseListener_c7f9b85 extends \Scheb\TwoFactorBundle\Security\TwoFactor\Trusted\TrustedCookieResponseListener implements \ProxyManager\Proxy\VirtualProxyInterface
{
    /**
     * @var \Scheb\TwoFactorBundle\Security\TwoFactor\Trusted\TrustedCookieResponseListener|null wrapped object, if the proxy is initialized
     */
    private $valueHolder02bd5 = null;

    /**
     * @var \Closure|null initializer responsible for generating the wrapped object
     */
    private $initializere5a1f = null;

    /**
     * @var bool[] map of public properties of the parent class
     */
    private static $publicProperties75826 = [
        
    ];

    public function onKernelResponse(\Symfony\Component\HttpKernel\Event\ResponseEvent $event) : void
    {
        $this->initializere5a1f && ($this->initializere5a1f->__invoke($valueHolder02bd5, $this, 'onKernelResponse', array('event' => $event), $this->initializere5a1f) || 1) && $this->valueHolder02bd5 = $valueHolder02bd5;

        $this->valueHolder02bd5->onKernelResponse($event);
return;
    }

    /**
     * Constructor for lazy initialization
     *
     * @param \Closure|null $initializer
     */
    public static function staticProxyConstructor($initializer)
    {
        static $reflection;

        $reflection = $reflection ?? new \ReflectionClass(__CLASS__);
        $instance   = $reflection->newInstanceWithoutConstructor();

        \Closure::bind(function (\Scheb\TwoFactorBundle\Security\TwoFactor\Trusted\TrustedCookieResponseListener $instance) {
            unset($instance->trustedTokenStorage, $instance->trustedTokenLifetime, $instance->cookieName, $instance->cookieSecure, $instance->cookieSameSite, $instance->cookiePath, $instance->cookieDomain);
        }, $instance, 'Scheb\\TwoFactorBundle\\Security\\TwoFactor\\Trusted\\TrustedCookieResponseListener')->__invoke($instance);

        $instance->initializere5a1f = $initializer;

        return $instance;
    }

    public function __construct(\Scheb\TwoFactorBundle\Security\TwoFactor\Trusted\TrustedDeviceTokenStorage $trustedTokenStorage, int $trustedTokenLifetime, string $cookieName, ?bool $cookieSecure, ?string $cookieSameSite, ?string $cookiePath, ?string $cookieDomain)
    {
        static $reflection;

        if (! $this->valueHolder02bd5) {
            $reflection = $reflection ?? new \ReflectionClass('Scheb\\TwoFactorBundle\\Security\\TwoFactor\\Trusted\\TrustedCookieResponseListener');
            $this->valueHolder02bd5 = $reflection->newInstanceWithoutConstructor();
        \Closure::bind(function (\Scheb\TwoFactorBundle\Security\TwoFactor\Trusted\TrustedCookieResponseListener $instance) {
            unset($instance->trustedTokenStorage, $instance->trustedTokenLifetime, $instance->cookieName, $instance->cookieSecure, $instance->cookieSameSite, $instance->cookiePath, $instance->cookieDomain);
        }, $this, 'Scheb\\TwoFactorBundle\\Security\\TwoFactor\\Trusted\\TrustedCookieResponseListener')->__invoke($this);

        }

        $this->valueHolder02bd5->__construct($trustedTokenStorage, $trustedTokenLifetime, $cookieName, $cookieSecure, $cookieSameSite, $cookiePath, $cookieDomain);
    }

    public function & __get($name)
    {
        $this->initializere5a1f && ($this->initializere5a1f->__invoke($valueHolder02bd5, $this, '__get', ['name' => $name], $this->initializere5a1f) || 1) && $this->valueHolder02bd5 = $valueHolder02bd5;

        if (isset(self::$publicProperties75826[$name])) {
            return $this->valueHolder02bd5->$name;
        }

        $realInstanceReflection = new \ReflectionClass('Scheb\\TwoFactorBundle\\Security\\TwoFactor\\Trusted\\TrustedCookieResponseListener');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder02bd5;

            $backtrace = debug_backtrace(false, 1);
            trigger_error(
                sprintf(
                    'Undefined property: %s::$%s in %s on line %s',
                    $realInstanceReflection->getName(),
                    $name,
                    $backtrace[0]['file'],
                    $backtrace[0]['line']
                ),
                \E_USER_NOTICE
            );
            return $targetObject->$name;
        }

        $targetObject = $this->valueHolder02bd5;
        $accessor = function & () use ($targetObject, $name) {
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __set($name, $value)
    {
        $this->initializere5a1f && ($this->initializere5a1f->__invoke($valueHolder02bd5, $this, '__set', array('name' => $name, 'value' => $value), $this->initializere5a1f) || 1) && $this->valueHolder02bd5 = $valueHolder02bd5;

        $realInstanceReflection = new \ReflectionClass('Scheb\\TwoFactorBundle\\Security\\TwoFactor\\Trusted\\TrustedCookieResponseListener');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder02bd5;

            $targetObject->$name = $value;

            return $targetObject->$name;
        }

        $targetObject = $this->valueHolder02bd5;
        $accessor = function & () use ($targetObject, $name, $value) {
            $targetObject->$name = $value;

            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __isset($name)
    {
        $this->initializere5a1f && ($this->initializere5a1f->__invoke($valueHolder02bd5, $this, '__isset', array('name' => $name), $this->initializere5a1f) || 1) && $this->valueHolder02bd5 = $valueHolder02bd5;

        $realInstanceReflection = new \ReflectionClass('Scheb\\TwoFactorBundle\\Security\\TwoFactor\\Trusted\\TrustedCookieResponseListener');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder02bd5;

            return isset($targetObject->$name);
        }

        $targetObject = $this->valueHolder02bd5;
        $accessor = function () use ($targetObject, $name) {
            return isset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __unset($name)
    {
        $this->initializere5a1f && ($this->initializere5a1f->__invoke($valueHolder02bd5, $this, '__unset', array('name' => $name), $this->initializere5a1f) || 1) && $this->valueHolder02bd5 = $valueHolder02bd5;

        $realInstanceReflection = new \ReflectionClass('Scheb\\TwoFactorBundle\\Security\\TwoFactor\\Trusted\\TrustedCookieResponseListener');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder02bd5;

            unset($targetObject->$name);

            return;
        }

        $targetObject = $this->valueHolder02bd5;
        $accessor = function () use ($targetObject, $name) {
            unset($targetObject->$name);

            return;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $accessor();
    }

    public function __clone()
    {
        $this->initializere5a1f && ($this->initializere5a1f->__invoke($valueHolder02bd5, $this, '__clone', array(), $this->initializere5a1f) || 1) && $this->valueHolder02bd5 = $valueHolder02bd5;

        $this->valueHolder02bd5 = clone $this->valueHolder02bd5;
    }

    public function __sleep()
    {
        $this->initializere5a1f && ($this->initializere5a1f->__invoke($valueHolder02bd5, $this, '__sleep', array(), $this->initializere5a1f) || 1) && $this->valueHolder02bd5 = $valueHolder02bd5;

        return array('valueHolder02bd5');
    }

    public function __wakeup()
    {
        \Closure::bind(function (\Scheb\TwoFactorBundle\Security\TwoFactor\Trusted\TrustedCookieResponseListener $instance) {
            unset($instance->trustedTokenStorage, $instance->trustedTokenLifetime, $instance->cookieName, $instance->cookieSecure, $instance->cookieSameSite, $instance->cookiePath, $instance->cookieDomain);
        }, $this, 'Scheb\\TwoFactorBundle\\Security\\TwoFactor\\Trusted\\TrustedCookieResponseListener')->__invoke($this);
    }

    public function setProxyInitializer(\Closure $initializer = null) : void
    {
        $this->initializere5a1f = $initializer;
    }

    public function getProxyInitializer() : ?\Closure
    {
        return $this->initializere5a1f;
    }

    public function initializeProxy() : bool
    {
        return $this->initializere5a1f && ($this->initializere5a1f->__invoke($valueHolder02bd5, $this, 'initializeProxy', array(), $this->initializere5a1f) || 1) && $this->valueHolder02bd5 = $valueHolder02bd5;
    }

    public function isProxyInitialized() : bool
    {
        return null !== $this->valueHolder02bd5;
    }

    public function getWrappedValueHolderValue()
    {
        return $this->valueHolder02bd5;
    }
}

if (!\class_exists('TrustedCookieResponseListener_c7f9b85', false)) {
    \class_alias(__NAMESPACE__.'\\TrustedCookieResponseListener_c7f9b85', 'TrustedCookieResponseListener_c7f9b85', false);
}
